Loading...
Searching...
No Matches
pcl::HDLGrabber::HDLDataPacket Struct Reference

`#include <pcl/io/hdl_grabber.h>`

## Public Attributes

HDLFiringData | firingData [HDL_FIRING_PER_PKT]
std::uint32_t | gpsTimestamp
std::uint8_t | mode
std::uint8_t | sensorType

## Detailed Description

Definition at line 224 of file hdl_grabber.h.

## Member Data Documentation

## firingData

HDLFiringData pcl::HDLGrabber::HDLDataPacket::firingData[HDL_FIRING_PER_PKT]

Definition at line 226 of file hdl_grabber.h.

## gpsTimestamp

std::uint32_t pcl::HDLGrabber::HDLDataPacket::gpsTimestamp

Definition at line 227 of file hdl_grabber.h.

## mode

std::uint8_t pcl::HDLGrabber::HDLDataPacket::mode

Definition at line 228 of file hdl_grabber.h.

## sensorType

std::uint8_t pcl::HDLGrabber::HDLDataPacket::sensorType

Definition at line 229 of file hdl_grabber.h.

The documentation for this struct was generated from the following file:

- pcl/io/hdl_grabber.h